## foomuuri 0.19

=== Makefile ===
.PHONY: all test clean distclean install sysupdate release tar rpm deb

all: test

test:
	flake8-3 src/foomuuri
	pycodestyle-3 src/foomuuri
	pylint-3 src/foomuuri

clean distclean:
	rm -rf foomuuri-*.tar.gz foomuuri-*.src.rpm foomuuri-*.deb tmp/

install:
	mkdir -p $(PREFIX)/etc/foomuuri/
	mkdir -p $(PREFIX)/usr/sbin/
	cp src/foomuuri $(PREFIX)/usr/sbin/
	mkdir -p $(PREFIX)/usr/lib/sysctl.d/
	cp etc/50-foomuuri.conf $(PREFIX)/usr/lib/sysctl.d/50-foomuuri.conf
	mkdir -p $(PREFIX)/usr/share/foomuuri/
	cp etc/default.services.conf $(PREFIX)/usr/share/foomuuri/
	cp etc/static.nft $(PREFIX)/usr/share/foomuuri/
	mkdir -p $(PREFIX)/usr/lib/systemd/system/
	cp systemd/foomuuri.service $(PREFIX)/usr/lib/systemd/system/
	cp systemd/foomuuri-dbus.service $(PREFIX)/usr/lib/systemd/system/
	cp systemd/foomuuri-iplist.service $(PREFIX)/usr/lib/systemd/system/
	cp systemd/foomuuri-iplist.timer $(PREFIX)/usr/lib/systemd/system/
	cp systemd/foomuuri-monitor.service $(PREFIX)/usr/lib/systemd/system/
	cp systemd/foomuuri-resolve.service $(PREFIX)/usr/lib/systemd/system/
	cp systemd/foomuuri-resolve.timer $(PREFIX)/usr/lib/systemd/system/
	mkdir -p $(PREFIX)/usr/lib/tmpfiles.d/
	cp systemd/foomuuri.tmpfilesd $(PREFIX)/usr/lib/tmpfiles.d/foomuuri.conf
	mkdir -p $(PREFIX)/run/foomuuri/
	mkdir -p $(PREFIX)/var/lib/foomuuri/
	mkdir -p $(PREFIX)/usr/share/dbus-1/system.d/
	cp systemd/fi.foobar.Foomuuri1.conf $(PREFIX)/usr/share/dbus-1/system.d/
	cp firewalld/fi.foobar.Foomuuri-FirewallD.conf $(PREFIX)/usr/share/dbus-1/system.d/
	cp firewalld/dbus-firewalld.conf $(PREFIX)/usr/share/foomuuri/
	mkdir -p $(PREFIX)/usr/share/man/man1
	cp doc/foomuuri.1 $(PREFIX)/usr/share/man/man1/

sysupdate:
	make install PREFIX=/
	systemctl daemon-reload

### Release

release:
	@if [ -z "$(VERSION)" ]; then \
		echo "Usage: make release VERSION=x.xx"; \
		echo; \
		echo "Current: $(shell grep ^VERSION src/foomuuri)"; \
		exit 1; \
	fi
	git diff --exit-code
	git diff --cached --exit-code
	sed -i -e "s@^\(VERSION = '\).*@\1$(VERSION)'@" src/foomuuri
	sed -i -e "s@^\(footer: .* \).*@\1$(VERSION)@" doc/foomuuri.md
	sed -i -e "s@^\(Version: *\).*@\1$(VERSION)@" foomuuri.spec
	sed -i -e "s@^\(Version: *\).*@\1$(VERSION)@" debian/control
	sed -i -e "s@^\(Version: *\).*@\1$(VERSION)@" debian/firewalld.control
	make --directory=doc
	git add src/foomuuri doc/foomuuri.md doc/foomuuri.1 foomuuri.spec debian/control debian/firewalld.control
	git commit --message="v$(VERSION)"
	git tag "v$(VERSION)"
	make rpm
	mv tmp/RPMS/noarch/foomuuri-*.rpm tmp/SRPMS/foomuuri-*.rpm ~
	make deb
	mv foomuuri-*.deb ~
	make clean
	@echo
	@echo "== TODO =="
	@echo "git push; git push --tags"
	@echo "In GitHub: draft a new release and upload rpm and deb files."

### Build tar/rpm/deb locally

SPEC_VERSION ?= $(lastword $(shell grep ^Version: foomuuri.spec))

tar: clean
	tar cavf foomuuri-$(SPEC_VERSION).tar.gz --transform=s,,foomuuri-$(SPEC_VERSION)/, --show-transformed .gitignore *

rpm: tar
	rpmbuild -ba --define="_topdir $(CURDIR)/tmp" --define="_sourcedir $(CURDIR)" foomuuri.spec

deb: clean
	make install PREFIX=tmp/1
	cp --archive debian tmp/1/DEBIAN
	mkdir -p tmp/2/DEBIAN
	mkdir -p tmp/2/usr/share/dbus-1/system.d
	mkdir -p tmp/2/usr/share/foomuuri
	mv tmp/1/DEBIAN/firewalld.control tmp/2/DEBIAN/control
	mv tmp/1/usr/share/dbus-1/system.d/fi.foobar.Foomuuri-FirewallD.conf tmp/2/usr/share/dbus-1/system.d/
	mv tmp/1/usr/share/foomuuri/dbus-firewalld.conf tmp/2/usr/share/foomuuri/
	dpkg-deb --root-owner-group --build tmp/1 foomuuri-$(SPEC_VERSION)_all.deb
	dpkg-deb --root-owner-group --build tmp/2 foomuuri-firewalld-$(SPEC_VERSION)_all.deb

=== doc/Makefile ===
foomuuri.1: foomuuri.md
	pandoc --standalone --to=man foomuuri.md --output foomuuri.1

=== debian/changelog ===
foomuuri (0.19-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 23 Jul 2023 11:38:58 +0200

foomuuri (0.19-2) unstable; urgency=medium

  * Make foomuuri and foomuuri-firewalld binary packages arch:all, as
    there's nothing arch-specific in there...
  * Build-depend on python3, not python3-dev.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 17 Jul 2023 22:20:51 +0200

foomuuri (0.19-1) unstable; urgency=medium

  * Initial release (closes: #1035663).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 14 Jul 2023 18:44:24 +0200

## foomuuri 0.20

=== Makefile ===
# Foomuuri - Multizone bidirectional nftables firewall.

.PHONY: all test clean distclean install sysupdate release tar

CURRENT_VERSION		?= $(shell grep ^VERSION src/foomuuri | awk -F\' '{ print $$2 }')
SYSTEMD_SYSTEM_LOCATION	?= /usr/lib/systemd/system

# Default target is to run tests

all: test

# Check source

test:
	flake8 src/foomuuri
	pycodestyle src/foomuuri
	pylint src/foomuuri

# Delete created files

clean distclean:
	rm -f foomuuri-*.tar.gz

# Install current source to DESTDIR

install:
	mkdir -p $(DESTDIR)/etc/foomuuri/
	mkdir -p $(DESTDIR)/usr/sbin/
	cp src/foomuuri $(DESTDIR)/usr/sbin/
	mkdir -p $(DESTDIR)/usr/lib/sysctl.d/
	cp etc/50-foomuuri.conf $(DESTDIR)/usr/lib/sysctl.d/50-foomuuri.conf
	mkdir -p $(DESTDIR)/usr/share/foomuuri/
	cp etc/default.services.conf $(DESTDIR)/usr/share/foomuuri/
	cp etc/static.nft $(DESTDIR)/usr/share/foomuuri/
	mkdir -p $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
	cp systemd/foomuuri.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
	cp systemd/foomuuri-dbus.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
	cp systemd/foomuuri-iplist.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
	cp systemd/foomuuri-iplist.timer $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
	cp systemd/foomuuri-monitor.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
	cp systemd/foomuuri-resolve.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
	cp systemd/foomuuri-resolve.timer $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d/
	cp systemd/foomuuri.tmpfilesd $(DESTDIR)/usr/lib/tmpfiles.d/foomuuri.conf
	mkdir -p $(DESTDIR)/run/foomuuri/
	mkdir -p $(DESTDIR)/var/lib/foomuuri/
	mkdir -p $(DESTDIR)/usr/share/dbus-1/system.d/
	cp systemd/fi.foobar.Foomuuri1.conf $(DESTDIR)/usr/share/dbus-1/system.d/
	cp firewalld/fi.foobar.Foomuuri-FirewallD.conf $(DESTDIR)/usr/share/dbus-1/system.d/
	cp firewalld/dbus-firewalld.conf $(DESTDIR)/usr/share/foomuuri/
	mkdir -p $(DESTDIR)/usr/share/man/man8
	cp doc/foomuuri.8 $(DESTDIR)/usr/share/man/man8/

# Install current source to local system's root

sysupdate:
	make install DESTDIR=/
	systemctl daemon-reload

# Make new release

release:
	@if [ -z "$(VERSION)" ]; then \
		echo "Usage: make release VERSION=x.xx"; \
		echo; \
		echo "Current: $(CURRENT_VERSION)"; \
		exit 1; \
	fi
	git diff --exit-code
	git diff --cached --exit-code
	sed -i -e "s@^\(VERSION = '\).*@\1$(VERSION)'@" src/foomuuri
	sed -i -e "s@^\(footer: .* \).*@\1$(VERSION)@" doc/foomuuri.md
	make --directory=doc
	git add src/foomuuri doc/foomuuri.md doc/foomuuri.8
	git commit --message="v$(VERSION)"
	git tag "v$(VERSION)"
	@echo
	@echo "== TODO =="
	@echo "git push && git push --tags"
	@echo "In GitHub: draft a new release."

# Build tarball locally

tar: clean
	tar cavf foomuuri-$(CURRENT_VERSION).tar.gz --transform=s,,foomuuri-$(CURRENT_VERSION)/, --show-transformed .gitignore *

=== debian/changelog ===
foomuuri (0.20-1) unstable; urgency=medium

  * New upstream release.
  * Drop all Debian patches, all changes are included in this version or
    no longer relevant.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 15 Aug 2023 15:17:24 +0200

## foomuuri 0.22

=== Makefile ===
--- 
+++ 
@@ -70,6 +70,7 @@
 	git diff --cached --exit-code
 	sed -i -e "s@^\(VERSION = '\).*@\1$(VERSION)'@" src/foomuuri
 	sed -i -e "s@^\(footer: .* \).*@\1$(VERSION)@" doc/foomuuri.md
+	sed -i -e "s@^\(date: \).*@\1$(shell date +'%b %d, %Y')@" doc/foomuuri.md
 	make --directory=doc
 	git add src/foomuuri doc/foomuuri.md doc/foomuuri.8
 	git commit --message="v$(VERSION)"
@@ -77,7 +78,7 @@
 	@echo
 	@echo "== TODO =="
 	@echo "git push && git push --tags"
-	@echo "In GitHub: draft a new release."
+	@echo "GitHub release: https://github.com/FoobarOy/foomuuri/releases/new"
 
 # Build tarball locally

=== debian/changelog ===
foomuuri (0.22-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Dec 2023 12:01:22 +0100

foomuuri (0.21-2) unstable; urgency=medium

  * Ship upstream README.md and add very simple quick start instructions
    to README.Debian (closes: #1050038).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Dec 2023 16:58:10 +0100

foomuuri (0.21-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 07 Oct 2023 11:24:36 +0200

=== debian/control ===
Source: foomuuri
Section: net
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flake8,
               pycodestyle,
               pylint,
               python3,
               python3-dbus,
               python3-gi,
               python3-requests,
               python3-systemd
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/FoobarOy/foomuuri
Vcs-Git: https://salsa.debian.org/rfrancoise/foomuuri.git
Vcs-Browser: https://salsa.debian.org/rfrancoise/foomuuri

Package: foomuuri
Architecture: all
Depends: nftables,
         python3-dbus,
         python3-gi,
         python3-requests,
         python3-systemd,
         ${misc:Depends},
         ${python3:Depends}
Recommends: fping
Suggests: foomuuri-firewalld
Description: multizone bidirectional nftables firewall
 Foomuuri is a firewall generator for nftables based on the concept
 of zones. It is suitable for all systems from personal machines to
 corporate firewalls, and supports advanced features such as a rich
 rule language, IPv4/IPv6 rule splitting, dynamic DNS lookups, a
 D-Bus API and firewalld emulation for NetworkManager's zone
 support.

Package: foomuuri-firewalld
Architecture: all
Depends: foomuuri,
         ${misc:Depends}
Description: multizone bidirectional nftables firewall - firewalld emulation
 This package provides firewalld D-Bus emulation for Foomuuri, allowing
 dynamically assigning interfaces to Foomuuri zones via NetworkManager,
 replacing firewalld.

=== debian/tests/control ===
Tests: smoketest
Depends: @
Restrictions: superficial

## foomuuri 0.24

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Foomuuri - Multizone bidirectional nftables firewall.
 
-.PHONY: all test clean distclean install sysupdate release tar
+.PHONY: all test devel clean distclean install sysupdate release tar
 
 CURRENT_VERSION		?= $(shell grep ^VERSION src/foomuuri | awk -F\' '{ print $$2 }')
 SYSTEMD_SYSTEM_LOCATION	?= /usr/lib/systemd/system
@@ -12,14 +12,18 @@
 # Check source
 
 test:
-	flake8 src/foomuuri
-	pycodestyle src/foomuuri
-	pylint src/foomuuri
+	$(MAKE) -C test
+
+# Generate firewall ruleset to file, used in development
+
+devel:
+	src/foomuuri --set=etc_dir=../devel --set=share_dir=etc --set=state_dir=../devel --set=run_dir=../devel check
 
 # Delete created files
 
 clean distclean:
 	rm -f foomuuri-*.tar.gz
+	$(MAKE) -C test $@
 
 # Install current source to DESTDIR
 
@@ -32,8 +36,10 @@
 	mkdir -p $(DESTDIR)/usr/share/foomuuri/
 	cp etc/default.services.conf $(DESTDIR)/usr/share/foomuuri/
 	cp etc/static.nft $(DESTDIR)/usr/share/foomuuri/
+	cp etc/block.fw $(DESTDIR)/usr/share/foomuuri/
 	mkdir -p $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	cp systemd/foomuuri.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
+	cp systemd/foomuuri-boot.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	cp systemd/foomuuri-dbus.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	cp systemd/foomuuri-iplist.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	cp systemd/foomuuri-iplist.timer $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
@@ -66,6 +72,7 @@
 		echo "Current: $(CURRENT_VERSION)"; \
 		exit 1; \
 	fi
+	! grep -q 20..-xx-xx CHANGELOG.md
 	git diff --exit-code
 	git diff --cached --exit-code
 	sed -i -e "s@^\(VERSION = '\).*@\1$(VERSION)'@" src/foomuuri

=== debian/changelog ===
foomuuri (0.24-2) unstable; urgency=medium

  * Run the new upstream test suite from autopkgtest, remove
    superficial restriction and corresponding lintian override.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 20 Jun 2024 22:18:29 +0200

foomuuri (0.24-1) unstable; urgency=medium

  * New upstream release.
  * Install new block.fw policy under /usr/share/foomuuri for `foomuuri block'.
  * Add build-dep on dh-sequence-movetousr to move systemd units to their
    new location in /usr, until the forky cycle starts (closes: #1073666).

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 19 Jun 2024 22:16:27 +0200

foomuuri (0.23-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete lintian override and add new entry for groff-message.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 21 Mar 2024 22:27:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-movetousr,
                flake8,
                pycodestyle,
                pylint,

## foomuuri 0.25

=== Makefile ===
--- 
+++ 
@@ -72,14 +72,15 @@
 		echo "Current: $(CURRENT_VERSION)"; \
 		exit 1; \
 	fi
-	! grep -q 20..-xx-xx CHANGELOG.md
 	git diff --exit-code
 	git diff --cached --exit-code
+	sed -i -e "s@^\(## ${VERSION} .\)20..-xx-xx.@\1$(shell date +'%Y-%m-%d')\)@" CHANGELOG.md
 	sed -i -e "s@^\(VERSION = '\).*@\1$(VERSION)'@" src/foomuuri
 	sed -i -e "s@^\(footer: .* \).*@\1$(VERSION)@" doc/foomuuri.md
 	sed -i -e "s@^\(date: \).*@\1$(shell date +'%b %d, %Y')@" doc/foomuuri.md
 	make --directory=doc
-	git add src/foomuuri doc/foomuuri.md doc/foomuuri.8
+	git diff
+	git add CHANGELOG.md src/foomuuri doc/foomuuri.md doc/foomuuri.8
 	git commit --message="v$(VERSION)"
 	git tag "v$(VERSION)"
 	@echo

=== debian/changelog ===
foomuuri (0.25-2) unstable; urgency=medium

  * Cherry-pick commit 875206b443 from upstream to fix pylint 3.3.1
    warning which makes the test suite fail.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 04 Oct 2024 21:44:52 +0200

foomuuri (0.25-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 01 Oct 2024 19:14:20 +0200

## foomuuri 0.26

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 all: test
 
-# Check source
+# Run testsuite and check source
 
 test:
 	$(MAKE) -C test
@@ -65,7 +65,7 @@
 
 # Make new release
 
-release:
+release: test clean
 	@if [ -z "$(VERSION)" ]; then \
 		echo "Usage: make release VERSION=x.xx"; \
 		echo; \

=== debian/changelog ===
foomuuri (0.26-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Nov 2024 16:58:37 +0100

foomuuri (0.26-1) unstable; urgency=medium

  * New upstream release.
  * Drop now unused override `groff-message'.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 13 Nov 2024 22:02:23 +0100

foomuuri (0.25-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 07 Oct 2024 20:32:57 +0200

foomuuri (0.24-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 20 Jun 2024 22:28:48 +0200

foomuuri (0.23-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 27 Mar 2024 21:27:49 +0100

foomuuri (0.22-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 01 Jan 2024 12:16:49 +0100

foomuuri (0.21-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 22 Oct 2023 16:58:20 +0200

foomuuri (0.20-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 09 Sep 2023 19:06:22 +0200

## foomuuri 0.27

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 .PHONY: all test devel clean distclean install sysupdate release tar
 
 CURRENT_VERSION		?= $(shell grep ^VERSION src/foomuuri | awk -F\' '{ print $$2 }')
-SYSTEMD_SYSTEM_LOCATION	?= /usr/lib/systemd/system
 
 # Default target is to run tests
 
@@ -27,10 +26,13 @@
 
 # Install current source to DESTDIR
 
+BINDIR			?= /usr/sbin
+SYSTEMD_SYSTEM_LOCATION	?= /usr/lib/systemd/system
+
 install:
 	mkdir -p $(DESTDIR)/etc/foomuuri/
-	mkdir -p $(DESTDIR)/usr/sbin/
-	cp src/foomuuri $(DESTDIR)/usr/sbin/
+	mkdir -p $(DESTDIR)$(BINDIR)/
+	cp src/foomuuri $(DESTDIR)$(BINDIR)/
 	mkdir -p $(DESTDIR)/usr/lib/sysctl.d/
 	cp etc/50-foomuuri.conf $(DESTDIR)/usr/lib/sysctl.d/50-foomuuri.conf
 	mkdir -p $(DESTDIR)/usr/share/foomuuri/

=== test/Makefile ===
SUBDIRS ?= $(sort $(wildcard ??-*))

.PHONY: all clean distclean $(SUBDIRS)

all: $(SUBDIRS)
	flake8 ../src/foomuuri
	pycodestyle ../src/foomuuri
	pylint ../src/foomuuri

clean distclean:
	rm -f */*.fw
	rm -f */zone

$(SUBDIRS):
	../src/foomuuri --set=etc_dir=$@ --set=share_dir=../etc --set=state_dir=$@ --set=run_dir=$@ check
	diff -u $@/golden.txt $@/next.fw

=== debian/changelog ===
foomuuri (0.27-2) unstable; urgency=medium

  * Orphaning package.
  * debian/control:
    + Set Maintainer to Debian QA Group <packages@qa.debian.org>.
    + Update Vcs-* fields to point to new location in the Debian group on Salsa.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 08 Feb 2025 11:37:36 +0100

foomuuri (0.27-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 28 Jan 2025 21:00:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: foomuuri
 Section: net
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-movetousr,
@@ -13,11 +13,11 @@
                python3-gi,
                python3-requests,
                python3-systemd
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/FoobarOy/foomuuri
-Vcs-Git: https://salsa.debian.org/rfrancoise/foomuuri.git
-Vcs-Browser: https://salsa.debian.org/rfrancoise/foomuuri
+Vcs-Git: https://salsa.debian.org/debian/foomuuri.git
+Vcs-Browser: https://salsa.debian.org/debian/foomuuri
 
 Package: foomuuri
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_install:
	SYSTEMD_SYSTEM_LOCATION=/lib/systemd/system dh_auto_install

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-enable --no-start

## foomuuri 0.28

=== debian/changelog ===
foomuuri (0.28-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Kim B. Heino <b@bbbs.net>  Thu, 04 Sep 2025 10:49:45 +0300

foomuuri (0.28-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #1095472)
  * Cherry-pick commit b5cb326 from upstream to fix reprotest.
  * Add missing build-dependency "nftables", needed for reprotest.
  * Install systemd units to /usr/lib, not /lib.
  * Bump Standards-Version to 4.7.2.

 -- Kim B. Heino <b@bbbs.net>  Sun, 27 Apr 2025 14:55:35 +0300

## foomuuri 0.29

=== Makefile ===
--- 
+++ 
@@ -46,8 +46,6 @@
 	cp systemd/foomuuri-iplist.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	cp systemd/foomuuri-iplist.timer $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	cp systemd/foomuuri-monitor.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
-	cp systemd/foomuuri-resolve.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
-	cp systemd/foomuuri-resolve.timer $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d/
 	cp systemd/foomuuri.tmpfilesd $(DESTDIR)/usr/lib/tmpfiles.d/foomuuri.conf
 	mkdir -p $(DESTDIR)/run/foomuuri/

=== doc/Makefile ===
foomuuri.8: foomuuri.md
	pandoc --standalone --to=man foomuuri.md --output foomuuri.8

=== test/Makefile ===
--- 
+++ 
@@ -9,8 +9,10 @@
 
 clean distclean:
 	rm -f */*.fw
+	rm -f */iplist-cache.json
 	rm -f */zone
 
 $(SUBDIRS):
 	../src/foomuuri --set=etc_dir=$@ --set=share_dir=../etc --set=state_dir=$@ --set=run_dir=$@ check
 	diff -u $@/golden.txt $@/next.fw
+	[ ! -f $@/Makefile ] || $(MAKE) -C $@

=== test/70-iplist/Makefile ===
.PHONY: all

all:
	../../src/foomuuri --set=etc_dir=. --set=share_dir=../../etc --set=state_dir=. --set=run_dir=. --set=nft_bin=true iplist refresh
	diff -u golden-cache-json.txt iplist-cache.json
	diff -u golden-cache-fw.txt iplist-cache.fw

=== debian/changelog ===
foomuuri (0.29-1) unstable; urgency=medium

  * New upstream release.
  * Drop Debian patches, they are included to upstream release.

 -- Kim B. Heino <b@bbbs.net>  Fri, 26 Sep 2025 15:32:44 +0300

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-enable --no-start

=== debian/tests/control ===
Tests: smoketest upstream
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="uversionmangle=s/^v//" \
      https://github.com/FoobarOy/foomuuri/tags \
      /FoobarOy/foomuuri/archive/refs/tags/(.+).tar.gz debian uupdate

## foomuuri 0.30

=== prometheus/Makefile ===
# Foomuuri - Multizone bidirectional nftables firewall.

.PHONY: all test clean distclean install sysupdate

# Default target is to run tests

all: test

# Check source

test:
	flake8 foomuuri_exporter
	pycodestyle foomuuri_exporter
	pylint foomuuri_exporter

# Nothing to be cleaned

clean distclean:

# Install current source to DESTDIR

BINDIR			?= /usr/bin
SYSTEMD_SYSTEM_LOCATION	?= /usr/lib/systemd/system
SETTINGS_LOCATION	?= /etc/default

install:
	mkdir -p $(DESTDIR)$(BINDIR)/
	cp foomuuri_exporter $(DESTDIR)$(BINDIR)/
	mkdir -p $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
	cp foomuuri_exporter.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
	mkdir -p $(DESTDIR)$(SETTINGS_LOCATION)/
	cp foomuuri_exporter.default $(DESTDIR)$(SETTINGS_LOCATION)/foomuuri_exporter

# Install current source to local system's root

sysupdate:
	make install DESTDIR=/
	systemctl daemon-reload

=== debian/changelog ===
foomuuri (0.30-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Kim B. Heino <b@bbbs.net>  Fri, 12 Dec 2025 13:56:40 +0200

foomuuri (0.30-1) unstable; urgency=medium

  * New upstream release.

 -- Kim B. Heino <b@bbbs.net>  Fri, 12 Dec 2025 13:55:04 +0200

foomuuri (0.29-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Kim B. Heino <b@bbbs.net>  Fri, 26 Sep 2025 15:40:53 +0300

## foomuuri 0.31

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,9 @@
 	mkdir -p $(DESTDIR)/run/foomuuri/
 	mkdir -p $(DESTDIR)/var/lib/foomuuri/
 	mkdir -p $(DESTDIR)/usr/share/dbus-1/system.d/
+	mkdir -p $(DESTDIR)/usr/share/polkit-1/actions/
 	cp systemd/fi.foobar.Foomuuri1.conf $(DESTDIR)/usr/share/dbus-1/system.d/
+	cp systemd/fi.foobar.Foomuuri1.policy $(DESTDIR)/usr/share/polkit-1/actions/
 	cp firewalld/fi.foobar.Foomuuri-FirewallD.conf $(DESTDIR)/usr/share/dbus-1/system.d/
 	cp firewalld/dbus-firewalld.conf $(DESTDIR)/usr/share/foomuuri/
 	mkdir -p $(DESTDIR)/usr/share/man/man8

=== test/70-iplist-no-auto-merge/Makefile ===
.PHONY: all

all:
	../../src/foomuuri --set=etc_dir=. --set=share_dir=../../etc --set=state_dir=. --set=run_dir=. --set=nft_bin=true iplist refresh
	diff -u golden-cache-json.txt iplist-cache.json

=== debian/changelog ===
foomuuri (0.31-1~bpo13+1) trixie-backports; urgency=high

  * Rebuild for trixie-backports.

 -- Kim B. Heino <b@bbbs.net>  Wed, 07 Jan 2026 13:09:43 +0200

foomuuri (0.31-1) unstable; urgency=high

  * New upstream release.
  * Fix CVE-2025-67858 and CVE-2025-67603.
  * Fix pylint warning in "make test" (Closes: #1124159)
  * Remove build-dep dh-sequence-movetousr (Closes: #1122754)

 -- Kim B. Heino <b@bbbs.net>  Wed, 07 Jan 2026 12:25:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: foomuuri
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Kim B. Heino <b@bbbs.net>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dh-sequence-movetousr,
                flake8,
+               nftables,
                pycodestyle,
                pylint,
                python3,
@@ -13,7 +13,7 @@
                python3-gi,
                python3-requests,
                python3-systemd
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/FoobarOy/foomuuri
 Vcs-Git: https://salsa.debian.org/debian/foomuuri.git
